------- Comment From ru...@us.ibm.com 2016-10-12 18:01 EDT-------
Repeating since the following reply was marked internal:

(In reply to comment #9)
> In reply to Comment #8
>
> > For recovering, the advice here applies:
> > http://askubuntu.com/questions/148715/how-to-fix-package-is-in-a-very-bad-inconsistent-
> > state-error
>
> > in particular, sudo dpkg --remove --force-remove-reinstreq python-pyasn1; 
> > sudo apt-get install python-pyasn1
>
> couldn't remove 2 packages that causes this issue (python-pyasn1 and
> python-ndg-httpsclient)
>
> # dpkg --configure -a
> dpkg: error processing package python-pyasn1 (--configure):
>  package is in a very bad inconsistent state; you should
>  reinstall it before attempting configuration
> Setting up python-ndg-httpsclient (0.4.2-1) ...
> Could not find platform independent libraries <prefix>
> Could not find platform dependent libraries <exec_prefix>
> Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
> ImportError: No module named site
> dpkg: error processing package python-ndg-httpsclient (--configure):
>  subprocess installed post-installation script returned error exit status 1
> Errors were encountered while processing:
>  python-pyasn1
>  python-ndg-httpsclient
>
>
>
> # sudo dpkg --remove --force-remove-reinstreq python-pyasn1
> dpkg: dependency problems prevent removal of python-pyasn1:
>  python-cryptography depends on python-pyasn1 (>= 0.1.8); however:
>   Package python-pyasn1 is to be removed.
>  python-paramiko depends on python-pyasn1 (>= 0.1.7).
>
> dpkg: error processing package python-pyasn1 (--remove):
>  dependency problems - not removing
> Errors were encountered while processing:
>  python-pyasn1
>
> Again if I try to remove  "python-cryptography" which is a dependency it
> errors out with other dependency package.
>
>
>
> # sudo dpkg --remove --force-remove-reinstreq python-ndg-httpsclient
> (Reading database ... 152861 files and directories currently installed.)
> Removing python-ndg-httpsclient (0.4.2-1) ...
> Could not find platform independent libraries <prefix>
> Could not find platform dependent libraries <exec_prefix>
> Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
> ImportError: No module named site
> dpkg: error processing package python-ndg-httpsclient (--remove):
>  subprocess installed pre-removal script returned error exit status 1
> Could not find platform independent libraries <prefix>
> Could not find platform dependent libraries <exec_prefix>
> Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
> ImportError: No module named site
> *** Error in `dpkg': double free or corruption (out): 0x00003fffc5d21ae0 ***
> ======= Backtrace: =========
> /lib/powerpc64le-linux-gnu/libc.so.6(+0x88168)[0x3fffa2508168]
> /lib/powerpc64le-linux-gnu/libc.so.6(+0x95290)[0x3fffa2515290]
> /lib/powerpc64le-linux-gnu/libc.so.6(cfree+0x68)[0x3fffa25199e8]
> dpkg(+0x2b2dc)[0x26a9b2dc]
> dpkg(+0x2bd68)[0x26a9bd68]
> dpkg(+0x374a0)[0x26aa74a0]
> dpkg(+0x1e12c)[0x26a8e12c]
> dpkg(+0x1e408)[0x26a8e408]
> dpkg(+0x1e6a8)[0x26a8e6a8]
> dpkg(+0xd200)[0x26a7d200]
> 3fffa2370000-3fffa2390000 r-xp 00000000 08:22 56755116
> /lib/powerpc64le-linux-gnu/libpthread-2.24.so
> 3fffa2390000-3fffa23a0000 r--p 00010000 08:22 56755116
> /lib/powerpc64le-linux-gnu/libpthread-2.24.so
> 3fffa23a0000-3fffa23b0000 rw-p 00020000 08:22 56755116
> /lib/powerpc64le-linux-gnu/libpthread-2.24.so
> 3fffa23b0000-3fffa23c0000 r-xp 00000000 08:22 56754275
> /lib/powerpc64le-linux-gnu/libdl-2.24.so
> 3fffa23c0000-3fffa23d0000 r--p 00000000 08:22 56754275
> /lib/powerpc64le-linux-gnu/libdl-2.24.so
> 3fffa23d0000-3fffa23e0000 rw-p 00010000 08:22 56754275
> /lib/powerpc64le-linux-gnu/libdl-2.24.so
> 3fffa23e0000-3fffa2460000 r-xp 00000000 08:22 56754277
> /lib/powerpc64le-linux-gnu/libpcre.so.3.13.3
> 3fffa2460000-3fffa2470000 r--p 00070000 08:22 56754277
> /lib/powerpc64le-linux-gnu/libpcre.so.3.13.3
> 3fffa2470000-3fffa2480000 rw-p 00080000 08:22 56754277
> /lib/powerpc64le-linux-gnu/libpcre.so.3.13.3
> 3fffa2480000-3fffa2640000 r-xp 00000000 08:22 56754236
> /lib/powerpc64le-linux-gnu/libc-2.24.so
> 3fffa2640000-3fffa2650000 r--p 001b0000 08:22 56754236
> /lib/powerpc64le-linux-gnu/libc-2.24.so
> 3fffa2650000-3fffa2660000 rw-p 001c0000 08:22 56754236
> /lib/powerpc64le-linux-gnu/libc-2.24.so
> 3fffa2660000-3fffa2690000 r-xp 00000000 08:22 56754265
> /lib/powerpc64le-linux-gnu/libselinux.so.1
> 3fffa2690000-3fffa26a0000 r--p 00020000 08:22 56754265
> /lib/powerpc64le-linux-gnu/libselinux.so.1
> 3fffa26a0000-3fffa26b0000 rw-p 00030000 08:22 56754265
> /lib/powerpc64le-linux-gnu/libselinux.so.1
> 3fffa26c0000-3fffa26d0000 rw-p 00000000 00:00 0
> 3fffa26d0000-3fffa26f0000 r-xp 00000000 00:00 0
> [vdso]
> 3fffa26f0000-3fffa2730000 r-xp 00000000 08:22 56754225
> /lib/powerpc64le-linux-gnu/ld-2.24.so
> 3fffa2730000-3fffa2740000 r--p 00030000 08:22 56754225
> /lib/powerpc64le-linux-gnu/ld-2.24.so
> 3fffa2740000-3fffa2750000 rw-p 00040000 08:22 56754225
> /lib/powerpc64le-linux-gnu/ld-2.24.so
> 3fffc5d00000-3fffc5d30000 rw-p 00000000 00:00 0
> [stack]
> Aborted (core dumped)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1626175

Title:
  dpkg crashes after apt-get upgrade got interrupted while upgrading
  "python-pyasn1" and it couldn't recovered

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1626175/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to